<!doctype html>
<html>
	<head>
		<meta charset="UTF-8"/>
		<title>Mon premier exemple JQuery</title>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
	</head>
	<style>
		form {
			width : 300px;
		}
		
		label {
			width : 100px;
			display : inline-block;
		}
		
		input {
			width : 150px;
		}

        .cadre{

            border: 1px solid red;
        }

	</style>
	<body>
		<form action="http://google.fr">
			<label>Nom</label>
			<input id="nom" type="text" min-size="10" />		
			<label>Prenom</label>
			<input type="text" />
			<label>Age</label>
            <input id="age" type="number" min="18" max="122" />
            <label>Taille</label>
            <input id="taille" type="number" min="0" max="300" />
			<label>Mail</label>
			<input id="mail" type="email" contains=".fr" />
			<input id="submit" type="submit"/>
		</form>
	</body>
	<script>
        
        $("#submit").click(mNom);

        function mNom(){

            event.preventDefault();
            var nom = $("#nom").val()
            if(nom.length<$("#nom").attr('min-size')){
                
                $("#nom").addClass("cadre");
                
            }
        }

        function mAge(){

            var age =$("#age").val();

            if(age > parseInt($("#age").attr('min')) && age <parseInt($("#age").attr("max"))){

                $("#age").addClass("cadre");
                
            }
        }

        function mTaille(){

            var taille =$("#taille").val();

            if(taille > parseInt($("#taille").attr('min')) && taille <parseInt($("#taille").attr("max"))){

                $("#taille").addClass("cadre");
                
            }
        }

        function mEmail(){

            event.preventDefault();
            var email = $("#mail").val();
            if( ){
                
                $("#mail").addClass("cadre");
                
            }
        }

    
        function soumettre(){

            event.preventDefault();
            mNom();
            mAge();
            mTaille();
        
        }


		
		
		
		
		
		
		
		
		
		
	</script>
</html>